import 'package:flutter/material.dart';

class ConstraintsCanvas extends StatelessWidget {
  final Widget child;
  final double maxWidth;
  final AlignmentGeometry alignment;

  const ConstraintsCanvas(
      {Key? key,
      this.maxWidth = 1200,
      this.alignment = Alignment.topCenter,
      required this.child})
      : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Container(
      alignment: this.alignment,
      child: ConstrainedBox(
        constraints: BoxConstraints(maxWidth: this.maxWidth, minWidth: 460),
        child: Container(
          width: double.infinity,
          child: this.child,
        ),
      ),
    );
  }
}
