import 'package:flextech/utils/deouncer.dart';
import 'package:flutter/material.dart';

class SearchAppBar extends StatefulWidget implements PreferredSizeWidget {
  @override
  Size get preferredSize => const Size.fromHeight(56.0);

  final Function search;

  const SearchAppBar({
    Key? key,
    required this.search,
  }) : super(key: key);

  @override
  _SearchAppBarState createState() => _SearchAppBarState();
}

class _SearchAppBarState extends State<SearchAppBar> {
  TextEditingController _searchController = TextEditingController();
  final Debouncer _onSearchDebouncer =
      Debouncer(delay: new Duration(milliseconds: 500));

  @override
  Widget build(BuildContext context) {
    return AppBar(
      title: Container(
        height: 45,
        child: TextField(
          autofocus: true,
          controller: _searchController,
          onChanged: (value) {
            _onSearchDebouncer.debounce(() {
              this.widget.search(_searchController.text);
            });
          },
          onSubmitted: (value) {
            this.widget.search(_searchController.text);
          },
          style: TextStyle(color: Colors.grey),
          decoration: InputDecoration(
              border: InputBorder.none,
              labelStyle: TextStyle(color: Color.fromRGBO(73, 163, 160, 1)),
              suffixIcon: InkWell(
                  borderRadius: BorderRadius.circular(50),
                  child: Icon(Icons.search),
                  onTap: () {
                    this.widget.search(_searchController.text);
                  }),
              suffixStyle: TextStyle(color: Color.fromRGBO(73, 163, 160, 1))),
        ),
      ),
      iconTheme: IconThemeData(color: Color.fromRGBO(73, 163, 160, 1)),
      backgroundColor: Colors.white,
    );
  }
}
