import 'package:flextech/panels/constraints_canvas.dart';
import 'package:flextech/search/app_bar/search_app_bar.dart';
import 'package:flextech/search/search_page/interfaces/i_controller_base.dart';
import 'package:flextech/search/search_page/search_render.dart';
import 'package:flutter/material.dart';

class SearchPage extends StatefulWidget {
  final Function selected;
  final IControllerBase controller;
  final Color textColor;
  final ThemeData theme;

  const SearchPage(
      {Key? key,
      required this.selected,
      required this.controller,
      required this.textColor,
      required this.theme})
      : super(key: key);

  @override
  _SearchPageState createState() => _SearchPageState();
}

class _SearchPageState extends State<SearchPage> {
  List data = [];

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: SearchAppBar(search: (String text) {
        widget.controller.findByCondition(text).then((value) {
          setState(() {
            data = value;
          });
        });
      }),
      body: ConstraintsCanvas(
        child: ListView.builder(
            padding: const EdgeInsets.all(8.0),
            itemCount: data.length,
            itemBuilder: (_, index) {
              return SearchRender(
                data: data[index],
                theme: widget.theme,
                textColor: widget.textColor,
                onTap: this.widget.selected,
              );
            }),
      ),
    );
  }
}
